* {
  -webkit-font-smoothing: antialiased;
}

h1 {
  font-size: 1.9rem;
}

footer {
  padding: 0;
}

.form-item {
  margin-bottom: 1rem;
}

.responsive-menu-toggle-icon:before,
.responsive-menu-toggle-icon:after,
.responsive-menu-toggle-icon span.icon {
  background: var(--bs-primary);
}

#denk-theme-search-form .form-item {
  margin: 0;
}

#denk-theme-search-form {
  display: flex;
  align-items: end;
  justify-content: end;
}

#denk-theme-search-form #edit-search {
  width: 320px;
  margin: 0;
  margin-right: 0.5rem;
}

#denk-theme-search-form .form-submit {
  border-radius: 4px;
  background-image: url('../images/magnifying-glass-solid-full.svg');
  background-repeat: no-repeat;
  background-position: center;
  padding-left: 1rem;
  padding-right: 1rem;
  background-size: 20px;
  background-color: var(--bs-primary);
}

.element.icon-banner .icon {
  width: 96px;
}

.product-overview-images .product-title {
  background: rgba(0, 0, 0, .3);
}

.breadcrumb ul {
  display: flex;
  font-size: 0.9rem;
  margin: 0;


}

.breadcrumb ul li a {
  color: var(--bs-text);
  opacity: 0.8;
}

.breadcrumb ul li:last-child a {
  opacity: 1;
}

.breadcrumb ul li::after {
  content: '\25B6';
  color: var(--bs-primary);
  margin: 0 0.5rem;
  font-size: 0.5rem;
  margin-left: 1rem;
  margin-right: 1rem;
  vertical-align: top;
}

.breadcrumb ul li:last-child::after {
  content: none;
}

.subgroup-pages a {
  background: var(--bs-white);
  padding: 1rem;
  border-radius: var(--dmc-rounded);
  display: block;
  position: relative;
}

.subgroup-pages a:before {
  content: "";
  position: absolute;
  top: 17%;
  left: 8px;
  width: 2px;
  height: 66%;
  background-color: var(--bs-accent);
}

.child-links a {
  background: var(--bs-light);
  padding: 1rem;
  border-radius: var(--dmc-rounded);
  display: block;
  position: relative;
}

.child-links a:hover {
  background: var(--bs-white);
  padding: 1rem;
  border-radius: var(--dmc-rounded);
  display: block;
  position: relative;
  -webkit-transform: scale(1.02);
  transform: scale(1.02);
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
}

.child-links a:before {
  content: "";
  position: absolute;
  top: 17%;
  left: 8px;
  width: 2px;
  height: 66%;
  background-color: var(--bs-accent);
}

.bg-light .child-links a {
  background: var(--bs-white);
}

.iconlist.checklist {
  list-style: none;
  padding-left: 0;
  font-size: 1rem;
  color: #333;
}

.iconlist.checklist li {
  padding-left: 1rem;
  margin-bottom: 0.2rem;
  position: relative;
}

.iconlist.checklist li::before {
  content: '\f00c';
  font-family: "Font Awesome 6 Free";
  font-weight: bold;
  color: var(--bs-accent);
  position: absolute;
  left: 0;
  top: 2px;
}

.element-list .row:first-child {
  border-top: 1px solid var(--bs-border);
}

.element-list .row {
  border-bottom: 1px solid var(--bs-border);
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.carousel {
  background: var(--bs-primary);
}

#mobile-menu .navbar {
  justify-content: flex-end;
}

#mobile-menu .navbar-nav>.nav-item {
  border-bottom: rgba(255, 255, 255, 0.3) 1px solid;
}

#mobile-menu .dropdown-item:hover {
  background: none;
  color: var(--bs-white);
}

#mobile-menu .navbar-nav>.nav-item details[open] {
  padding-bottom: 1rem;
}

.text-body {
  color: var(--dmc-text);
}

.element.bg-accent a {
  color: var(--bs-white);
}

.element.bg-accent h4 {
  color: var(--bs-white);
}

.element.bg-accent i {
  color: var(--bs-white);
}

.form-item.webform-type-radios.error .fieldset-wrapper>div {
  color: #B30000;
}

.form-item.webform-type-radios legend {
  font-size: 1.1rem;
}

.form-item.error,
.form-control.error,
.form-select.error {
  border-color: #B30000;
}

.form-item--error-message {
  color: #B30000;
}

.toastify.toastify--error {
  color: var(--bs-white) !important;
}

.bg-primary.text-white {
  color: var(--bs-white) !important;
}

.bg-primary.text-white h4 {
  color: var(--bs-white) !important;
}

.bg-dark.text-white h4 {
  color: var(--bs-white) !important;
}
.bg-dark.text-white {
  color: var(--bs-white) !important;
}

.icon-banner h4 {
  font-size: 1.3rem;
}

footer strong {
  font-size: 1.2rem;
  color: #FFF;
}

.menu-icon i {
  margin-right: 0.5rem;
}

#edit-privacy--description {
  font-size: 0.8rem;
}
.webform-submission-form .form-actions {
  display:flex;margin-top:1rem;justify-content:flex-end;
}
.webform-submission-form input.webform-button--submit {
  position: relative;
}

.webform-submission-form input.webform-button--submit::after {
  font-family: "Font Awesome 6 Pro"; /* Ensure this matches your FA version */
  font-weight: 900;
  content: "\f1d8"; /* The Unicode value */
  margin-right: 8px;
  color: #ffffff;
  position: absolute;
  right:10px;
  top: 50%;
}
.navbar-toggler:focus {
  box-shadow: none;
  border: none;
}

.rounded {
  border-radius: var(--dmc-rounded) !important;
}

.filesize {font-size:0.8rem;opacity:0.8;}

.card-link {padding:1rem;}
.dialog-off-canvas-main-canvas {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

ul.menu .menu-item-panel .menu-panel {display:none;}
ul.menu .menu-item-panel:hover .menu-panel {
    display: flex;
    position: absolute;
    left: 0;
    top: 100%;
    right: 0;
    z-index: 9999;
    background:var(--bs-white);
    flex-direction: column;
}

ul.menu .menu-panel .row {margin-top:0 !important;}
ul.menu .menu-panel .row>* {margin-top:0 !important;}

.element-list.border .row {
  padding: 1rem;
  border-bottom: 1px solid var(--bs-dark);
}

.element-list.border .row:first-child {
  padding-top: 1rem;
}

.element-list.border .row:last-child {
  padding-bottom: 1rem;
  border-bottom: 0;
}
.layout-builder {border:none;padding:0;}
.layout-builder__add-block {border:1px solid var(--bs-white);background:var(--bs-light) !important;color:var(--bs-primary) !important;padding:0.7rem;margin:0.7rem 0;}
.layout-builder__add-block:hover {border-color:var(--bs-primary);}
.layout-builder__add-block a {color:var(--bs-primary) !important;}
.layout-builder__region {outline:none;}
.layout-builder__add-section {background:var(--bs-light) !important;color:var(--bs-primary) !important;outline:none;border:none;}
.layout-builder__add-section a {color:var(--bs-primary) !important;}
.layout-builder .container{padding-left:1rem !important;padding-right:1rem !important;}
.layout-builder__link--remove {background:none;border:none;width:auto;height:auto;margin:0;text-indent:inherit;}
.layout-builder__link--remove:hover {background:none;}

.ui-dialog .ui-widget-header {background:var(--bs-light);border:none;}
.ui-dialog .form-submit {margin-top:1rem;}

.ui-dialog.ui-dialog-off-canvas {background:var(--bs-white) !important; color:var(--dmc-text) !important;margin-top:60px !important;}
.ui-dialog.ui-dialog-off-canvas .ui-dialog-titlebar {display:none !important;}
.ui-widget-overlay {
    background: #000000;
    opacity: .8;
}
.ui-corner-all {
  border-radius: 0 !important;
}
.ui-widget {
  font-family: inherit !important;
  font-size: inherit !important;
  padding:0 !important;
}
.ui-dialog-titlebar {display:flex !important;justify-content: space-between;}
.ui-dialog .ui-dialog-title {text-align: center;font-weight:normal;}
.item-list-layouts svg {margin-bottom:1rem;}

.ui-dialog .ui-dialog-titlebar-close {
    background: none !important;
    border: none !important;
    text-indent: 0 !important;
    margin:0;
    margin-left:auto;
    position: relative;
}
.ui-dialog .ui-dialog-content {
  min-height:75vh !important;
  max-height:90vh !important;
  height:auto !important;
}
.entity-browser-form {padding-bottom:100px;}
.entity-browser-modal .ajax-progress {display:none;}

.ui-dialog-titlebar-close:before {
    font-family: "Font Awesome 6 Pro";
    content: "\f00d";
    font-weight: 900;
    color: #333;
    font-size: 18px;
}

.ui-dialog-titlebar-close:hover:before {
    color: var(--bs-primary);
}

details {margin-bottom:1rem;}
details .card-header {background:(var(--bs-light)) !important;color:var(--bs-primary) !important;font-weight:900;border-bottom:0;}

.js-media-library-views-form {display:flex;flex-wrap: wrap;}
.js-media-library-item .thumbnail {margin-bottom:1rem;padding-bottom:1rem;border-bottom:1px solid var(--bs-border);}
.js-layout-builder-filter {display:none;}
.media-library-item--disabled {opacity:0.5;pointer-events:none;}

.field--name-field-domain-access {font-size:0.9rem;}
#edit-field-domain-access {max-height:400px;overflow-y: scroll;}
.field--name-field-domain-access .form-item {margin-bottom:0;display: flex;
    align-items: center;}
.field--name-field-domain-access .form-item input {margin-right: 0.5rem;}
.view-options {font-size:0.9rem;}
.view-options .form-item {margin-bottom:0;display: flex;
    align-items: center;}
.view-options .form-item input {margin-right: 0.5rem;}

table.field-multiple-table {border:none;}
table.field-multiple-table td, table.field-multiple-table th {border:none;}
table.field-multiple-table .form-submit {margin:0;font-size:0.8rem;}
table.field-multiple-table a.tabledrag-handle {margin:0;padding:0;height:auto;float:none;}
table.field-multiple-table a.tabledrag-handle .handle {background:none;margin:0;padding:0;  height:32px;
  width:32px;}
table.field-multiple-table a.tabledrag-handle .handle::after {background:none;
  font-family: "Font Awesome 6 Pro"; /* Ensure this matches your FA version */
  font-weight: 900;
  content: "\e60d"; /* The Unicode value */
  height:24px;
  width:24px;

}
table.field-multiple-table td.field-multiple-drag {
  display: flex;
  align-items: center;
  justify-content: center;
}
table.field-multiple-table .form-item {margin:0;}
table.field-multiple-table .form-text {margin:0;}
button.tabledrag-toggle-weight {background:none;border:none;color:var(--bs-primary) !important;font-size:0.8rem;}

.field--name-node-image p {display:none;}
.field--name-node-image button {margin-top:1rem;margin-bottom:1rem;}

.entity-browser-form .form-actions {position:fixed;bottom:0;left:0;right:0;padding:1rem;background:var(--bs-white);border-top:1px solid var(--bs-border);z-index:9999;text-align:center;}
.entity-browser-form .views-exposed-form .form-actions {position:static;border:none;}
.entity-browser-form .views-exposed-form {border:1px solid var(--bs-border);padding:1rem;margin-bottom:1rem;border-radius:var(--dmc-rounded);}